*{
    box-sizing: border-box;
    font-family: "Parkinsans", sans-serif;
}

html::-webkit-scrollbar{
    width: 10px;
    scroll-behavior: smooth;
}
html::-webkit-scrollbar-thumb{
    background: brown;
    border-radius: 20px;
}
html::-webkit-scrollbar-thumb:hover{
    background: chocolate;
}

html::-webkit-scrollbar:horizontal{
    display: none;
}
html{
    overflow-x: scroll;
}
body::-webkit-scrollbar:horizontal{
    display: none;
}

body{
    background-color: ivory;
    margin: 0%;
    padding: 0;
}

/* Full-page overlay */
#Welcome {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8); /* Dark transparent background */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    opacity: 1;
    transition: opacity 0.5s ease-out;
}

/* Overlay box */
.Welcome-content {
    background: white;
    padding: 20px;
    text-align: left;
    border-radius: 10px;
    width: 30vw;
    height: 20vh;
    font-size: 25px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
}

.Welcome-content p{
    margin: 0;
}
/* OK Button */
button {
    border: none;
    margin-top: 3vw;
    float: right;
    bottom: 0;
    padding: 15px 30px;
    position: relative;
    background: purple;
    color: white;
    cursor: pointer;
    border-radius: 24px;
    font-size: 20px;
    transition: background 0.3s ease;
}

button:hover {
    background: rgb(84, 2, 84);
}

/* Hide overlay after fade-out */
.hidden {
    opacity: 0;
    pointer-events: none;
}


header{
    height: 10vw;/*header height not image height*/
    width: 100vw;
    max-width: 100%;
    top: 0;
    background-color: white;
    padding: 2vw 3vw 0 3vw;
    z-index: 10;
    box-shadow: 8px 6px 10px 8px gray;
    position: fixed;
}

.header img {
    width: 8vw;
    height: 8vw;
    border-radius: 100%;
    position: relative;
    bottom: 1vw;
}

.menu{
    display: none;/*menu shall not diplay for desktop modes*/
}


.nav{
    list-style-type: none;
    display: inline-grid;
    grid-template-columns: 6vw 12vw 12vw 6vw;
    gap: 3vw;
    width: auto;
    position: relative;
    bottom: 4vw;
}

.nav li a{
    text-decoration: underline;
    text-decoration-thickness: 5px;
    text-underline-offset: 10px;
    font-size: 30px;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: black;

}

.nav li a:hover{
    text-decoration-style: dotted;
    color: gray;
    font-size: 30px;
    text-underline-offset: 10px;
    text-decoration-thickness: 6px;
    background-color: rgba(240, 255, 255, 0.109);
}

.nav li .active{
    text-decoration-style: dotted;
    color: black;
    font-size: 32px;
    text-underline-offset: 10px;
    text-decoration-thickness: 7px;
    text-decoration-color:rgb(61, 63, 63);
}

.contact{
    float: right;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-top: 3vw;
    border: solid 2px gray;
    padding: 4px;
    border-radius: 10px 10px 10px 10px;
}
.contact a{
    font-size: 25px;
    text-decoration: none;
    color: black;
}

.contact:hover{
    background-color: rgba(245, 245, 245, 0.616);
    box-shadow: wheat 3px 3px;
}

.marg{
    font-size: 7vw;
    margin: 20vw auto auto 8vw;
    font-weight: bolder;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

.BG{
    margin: 5vw 10vw auto 8vw;
    display: grid;
    gap: 5vw;
    grid-template-columns: 33% 33% 33%;
}

@keyframes appear {
    0%{
        opacity: 0;
        scale: 0.5;
        transform: rotateY(-180deg);
    }
    50%{
        transform: rotateY(180deg);
    }
    100%{
        opacity: 1;
        scale: 1;
    }
}

.BG div{
    animation: appear  linear;
    animation-timeline: view();
    animation-range: entry 0 cover 30%;
    animation-duration: 10s;
}

.BG div img:hover{
    scale: 1.05;
    box-shadow: gray 0px 0px 10px 5px;
}

.BG div img{
    width: 22em;
    height: 22em;
    transition: all 0.5s ease-in-out ;
}

.BG a{
    text-decoration: none;
    font-weight: bold;
}

.BG div p{
    font-size: 21px;
}

.BG div p:hover{
    scale: 1.02;
    background-image: linear-gradient( 90deg, #6a11cb, #2575fc, #00c6ff);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
}
.BG div .date{
    color: gray;
    font-family: Arial, Helvetica, sans-serif;
    text-decoration: none;
}

.pagin{
    display: flex;
    flex-direction: row;
    justify-self: center;
    margin-top: 2vw;
}

.pagin a{
    text-decoration: none;
    color: gray;
    margin: 0 .5vw 0 .5vw;
    text-align: center;
    font-size: 20px;   
}

.pagin a:hover{
    background-color: burlywood;
    color: black;
    width: 3vw;
    height: 2vw;
}

.pagin .active{
    font-weight: bold;
    background-color: antiquewhite;
    color: brown;
    width: 3vw;
    height: 2vw;
}


footer{
    background-color: black;
    height: 30vw;
    margin-top: 4vw;
    padding: 20px;
    display: grid;
    grid-template-columns: 20% 70%;
}

footer img {
    width: 11vw;
    height: 11vw;
    border-radius: 100%;
    animation: rotate-360 8s linear infinite;
}

@keyframes rotate-360 {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

.foot{
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    gap: 0vw;
    row-gap: 4vw;
    margin-top: 3vw;
}

.foot a{
    font-size: 25px;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: white;
    text-decoration-line: none;
}

.foot a:hover{
    text-decoration-style: dotted;
    color: cornsilk;
    font-size: 26px;
    text-underline-offset: 10px;
    text-decoration-thickness: 6px;
    width: auto;
}
.side-nav{
    display: none;
}

.cop{
    border-top: white solid 7px;
    text-align: center;
    color: white;
    width: 110%;
    margin-top: 3vw;
    display: flex;
    align-items: stretch;
    flex-direction: column;
    grid-column: 1/3;
    font-size: 30px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    justify-content: center;
}

@media screen and (max-width: 1026px) {
    .nav li a {
        font-size: 22px;
        text-underline-offset: 7px;
    }
    
    .nav li a:hover {
        font-size: 22px;
        text-decoration-thickness: 6px;
    }
    .nav li .active{
        font-size: 23px;
        text-underline-offset: 7px;
        text-decoration-thickness: 6px;
    }
    
    .contact a{
    font-size: 17px;
    }

    button {
        margin-top: 2vw;
        padding: 10px 20px;
        font-size: 15px;
    }

    .Welcome-content {
        font-size: 20px;
    }

    .BG{
        margin: 5vw 8vw auto 6vw;
    }

    .BG div img {
        width: 16em;
        height: 18em;
    }

    .pagin .active {
        width: 3vw;
        height: 3vw;
    }

    .pagin a:hover{
        width: 3vw;
        height: 3vw;
    }

    .BG div p {
        font-size: 15px;
    }
    .foot{
        grid-template-columns: 25% 25% 28% 25%;
        gap: 2vw;
    }

    .foot a{
        font-size: 20px;
    }

    .foot a:hover{
        font-size: 21px;
    }

}

@media screen and (max-width: 923px) {
    .nav li a {
        font-size: 17px;
        text-decoration-thickness: 4px;
    }
    .nav li a:hover{
        font-size: 17px;
        text-decoration-thickness: 4px;
    }
    .nav li .active{
        font-size: 18px;
        text-underline-offset: 5px;
        text-decoration-thickness: 4px;
    }
    .contact{
        padding: 2px;
        border:  solid 1px white;
        border-radius: 5px 5px 5px 5px;
    }
    .contact:hover{
        box-shadow: 2px 2px wheat;
    }
    .contact a{
        font-size: 14px;
    }

    html::-webkit-scrollbar{
        width: 5px;
    }

    .BG div img {
        width: 13em;
        height: 13em;
    }

    .BG div p{
        font-size: 12px;
    }

    .pagin a{
        font-size: 12px;
    }

    .pagin a:hover{
        width: 3vw;
        height: 2.5vw;
    }

    .pagin .active {
        width: 3vw;
        height: 2.5vw;
    }

    button {
        margin-top: 2.5vw;
        padding: 7px 15px;
        font-size: 10px;
    }

    .Welcome-content {
        font-size: 15px;
        padding: 13px;
    }

    .foot{
        row-gap: 3vw;
    }

    .foot a{
        font-size: 15px;
    }

    .foot a:hover{
        font-size: 16px;
    }

    .cop{
        border-top: white solid 3px;
        font-size: 21px;
    }

}

@media screen and (max-width: 500px) {
    .nav{
        display: none;
    }
    .contact{
        display: none;
    }
    #overlay{
        position: fixed;
        inset: 0;
        z-index: 1;
        background-color: rgba(0, 0, 0, 0.3);
        display: none;
    }

    .side-nav{
        width: 50vw;
        display: block;
        height: 189dvh;
        background-color: white;
        position: fixed;
        top: 0;
        right: -100%;
        z-index: 10;
        transition: right 0.8s ease-in-out;
        border-radius: 0% 0% 0% 0%;
    }
    .side-nav ul{
        list-style-type: none;
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }
    .side-nav li:nth-child(1){
        align-self: flex-end;
        width: fit-content;
    }

    .menu{
        cursor: pointer;
        top: 15px;
        left: 10px;
        width: 30px;
        position: sticky;
        background-color: unset;
        color: azure;
        border-radius: 15%;
        padding: 2px;
        cursor: pointer;
        display: inline;
        float: right;
        font-family: Arial, Helvetica, sans-serif;
        border: none;
    }

    .menu:hover{
        background-color: transparent;
    }

    .Welcome-content {
        width: 50vw;
    }

    button {
        font-size: 10px;
    }


    .side-nav li{
        width: 100%;
    }
    .side-nav li a{
        color: black;
        text-decoration: none;
        font-family: 'Quicksand' sans-serif;
        display: block;
        width: 100%;
        text-align: center;
        transition: all 0.5s ease-in-out;
        padding: 5px 0 5px 10px;
        text-align:left;
        border-radius: 5%;
    }

    .side-nav a:hover{
        background-color: brown;
        color: beige;
    }

    .side-nav .active{
        background-color: burlywood;
        color: brown;
    }

    .side-nav .active:hover{
        background-color: brown;
        color: beige;
    }

    h1{
        margin: 20vw auto auto 3vw;
        font-size: 10vw
    }
    .menutooltip{
        font-family: Arial, Helvetica, sans-serif;
        font-size: 8px;
        color: black;
        background-color: white;
        border-radius: 15%;
        width: 14vw;
        padding: 2px;
        float: right;
        position: absolute;
        top: 37px;
        left: 70vw;
    }
    .cancel{
        background-color: unset;
        color: white;
        border: unset;
        font-size: 15px;
        font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    }

    header {
        height: 15vw;
        box-shadow: 8px 6px 10px 0px gray;
        position: fixed;
        width: 100%;
        top: -0.6vw;
        opacity: 1;
    }

    .header img {
        width: 12vw;
        height: 12vw;
        border-radius: 100%;
        position: relative;
        bottom: 1vw;
    }

    .BG{
        grid-template-columns: 50% 50%;
        margin: 5vw 8vw auto 3vw;
    }

    .BG div img {
        width: 11em;
        height: 11em;
    }

    .BG div p{
        font-size: 10px;
    }

    .pagin a{
        font-size: 10px;
    }
    
    footer{
        height: 43vw;
        margin-top: 4vw;
    }

    .foot a{
        font-size: 8px;
    }

    .foot a:hover{
        font-size: 8px;
    }

    .cop{
        font-size: 15px;
    }
}

@media screen and (max-width: 380px) {
    
    .BG div img {
        width: 10em;
        height: 10em;
    }
    .foot a{
        font-size: 6px;
    }

    .foot a:hover{
        font-size: 6px;
    }

    .Welcome-content {
        font-size: 13px;
        padding: 13px;
    }

    .pagin .active {
        width: 4vw;
        height: 4vw;
    }

    .pagin a:hover{
        width: 4vw;
        height: 4vw;
    } 
}
